Skip to main content
GET
Get Inference Usage Attribution Rollup

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Query Parameters

dimension
enum<string>

The dimension field.

Available options:
TB_USAGE_ATTRIBUTION_DIMENSION_UNSPECIFIED,
TB_USAGE_ATTRIBUTION_DIMENSION_TEAM,
TB_USAGE_ATTRIBUTION_DIMENSION_APPLICATION,
TB_USAGE_ATTRIBUTION_DIMENSION_AGENT,
TB_USAGE_ATTRIBUTION_DIMENSION_COST_CENTER,
TB_USAGE_ATTRIBUTION_DIMENSION_USER,
TB_USAGE_ATTRIBUTION_DIMENSION_PROVIDER,
TB_USAGE_ATTRIBUTION_DIMENSION_MODEL
page_size
integer<int32>

The pageSize field.

since
string<int64>

The since field.

until
string<int64>

The until field.

Response

200 - application/json

Successful response

The EdgeServiceGetInferenceUsageAttributionRollupResponse message.

edgeCount
integer<uint32>

Number of authorized Edges included. Zero means the caller manages no Edges, as distinct from Edges that have no traffic yet.

rows
Tb Usage Attribution Row · object[] | null

Ordered by (input_tokens + output_tokens) descending, limited to page_size.